////////////////////////////////////////////////////////////////////
// on-start code: read and set (last) Item(s) status on (re)start //
////////////////////////////////////////////////////////////////////

#ifndef _MY_ST_START_H_
#define _MY_ST_START_H_

#include "myST_Gen.h"

/** add your own "on start" code **/
void onStart() {  // once caled by setup()
  uint8_t n = OFF;
  targetTmp = (atoi(itemValues[nBoiler][nTmpLow1]) - overShoot);
  if (boilerTmp < maxTemp) {
    if (!atoi(itemValues[nBoiler][nMode])) {  // mode 0 or 1? (OFF/ON, off=tmpOff*C)
      if (boilerTmp < atoi(itemValues[nBoiler][nTmpLow1])) n = ON;  // off == night temp
    }  // we do not use the pauze option
    else {  // test boiler temp for ON/OFF
      if (dayTime >= schedule[0] && dayTime < schedule[1]) targetTmp = (atoi(itemValues[nBoiler][nTmpHigh1]) - overShoot);
      if (boilerTmp < targetTmp) n = ON;
    }
  }
  doBoiler(n);  // safety first, despite the unchanged status
  if (atoi(itemValues[nBoiler][nStatus]) != n) { 
    strcpy(itemValues[nBoiler][nStatus], String(n).c_str());
    saveIt = true;
  }
}

#endif
